﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Schedule;

namespace SfSchedule_Resource
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private double labePanelWidth = 80;
        public MainWindow()
        {
            InitializeComponent();
            this.SizeChanged += Schedule_SizeChanged;
        }

        private void Schedule_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            //Change Setters of Resources ResourceHeaderItemsControl

            Style resourceHeaderItemsControlStyle = new Style(typeof(ResourceHeaderItemsControl));
            resourceHeaderItemsControlStyle.Setters.Add(new Setter(ResourceHeaderItemsControl.WidthProperty, e.NewSize.Width-labePanelWidth));
            resourceHeaderItemsControlStyle.Setters.Add(new Setter(ResourceHeaderItemsControl.HorizontalAlignmentProperty, HorizontalAlignment.Left));
            if (!Resources.Contains(typeof(ResourceHeaderItemsControl)))
                Resources.Add(typeof(ResourceHeaderItemsControl), resourceHeaderItemsControlStyle);
            else
            {
                Style resourceHeaderItemsControlStyle1 = new Style(typeof(ResourceHeaderItemsControl));
                resourceHeaderItemsControlStyle1.Setters.Add(new Setter(ResourceHeaderItemsControl.WidthProperty, e.NewSize.Width - labePanelWidth));
                resourceHeaderItemsControlStyle1.Setters.Add(new Setter(ResourceHeaderItemsControl.HorizontalAlignmentProperty,
                    HorizontalAlignment.Left));
                Resources[typeof(ResourceHeaderItemsControl)] = resourceHeaderItemsControlStyle1;
            }

            //Change Setters of Days ScheduleDaysHeaderViewItemsControl
            Style scheduleDaysHeaderViewItemsControlStyle = new Style(typeof(ScheduleDaysHeaderViewItemsControl));
            scheduleDaysHeaderViewItemsControlStyle.Setters.Add(new Setter(ScheduleDaysHeaderViewItemsControl.WidthProperty, e.NewSize.Width- labePanelWidth));
            scheduleDaysHeaderViewItemsControlStyle.Setters.Add(new Setter(ScheduleDaysHeaderViewItemsControl.HorizontalAlignmentProperty, HorizontalAlignment.Left));
            if (!Resources.Contains(typeof(ScheduleDaysHeaderViewItemsControl)))
                Resources.Add(typeof(ScheduleDaysHeaderViewItemsControl), scheduleDaysHeaderViewItemsControlStyle);
            else
            {
                Style scheduleDaysHeaderViewItemsControlStyle1 = new Style(typeof(ScheduleDaysHeaderViewItemsControl));
                scheduleDaysHeaderViewItemsControlStyle1.Setters.Add(new Setter(ScheduleDaysHeaderViewItemsControl.WidthProperty, e.NewSize.Width- labePanelWidth));
                scheduleDaysHeaderViewItemsControlStyle1.Setters.Add(new Setter(ScheduleDaysHeaderViewItemsControl.HorizontalAlignmentProperty, HorizontalAlignment.Left));

                Resources[typeof(ScheduleDaysHeaderViewItemsControl)] = scheduleDaysHeaderViewItemsControlStyle1;
            }

            //Change Setters of Days ScheduleDaysHeaderViewItemsControl
            Style scheduleAllDaysAppointmentItemsControlStyle = new Style(typeof(ScheduleAllDaysAppointmentItemsControl));
            scheduleAllDaysAppointmentItemsControlStyle.Setters.Add(new Setter(ScheduleAllDaysAppointmentItemsControl.WidthProperty, e.NewSize.Width- labePanelWidth));
            scheduleAllDaysAppointmentItemsControlStyle.Setters.Add(new Setter(ScheduleAllDaysAppointmentItemsControl.HorizontalAlignmentProperty, HorizontalAlignment.Left));
            if (!Resources.Contains(typeof(ScheduleAllDaysAppointmentItemsControl)))
                Resources.Add(typeof(ScheduleAllDaysAppointmentItemsControl), scheduleAllDaysAppointmentItemsControlStyle);
            else
            {
                Style scheduleAllDaysAppointmentItemsControlStyle1 = new Style(typeof(ScheduleAllDaysAppointmentItemsControl));
                scheduleAllDaysAppointmentItemsControlStyle1.Setters.Add(new Setter(ScheduleAllDaysAppointmentItemsControl.WidthProperty, e.NewSize.Width- labePanelWidth));
                scheduleAllDaysAppointmentItemsControlStyle1.Setters.Add(new Setter(ScheduleAllDaysAppointmentItemsControl.HorizontalAlignmentProperty, HorizontalAlignment.Left));

                Resources[typeof(ScheduleAllDaysAppointmentItemsControl)] = scheduleAllDaysAppointmentItemsControlStyle1;
            }

        }
    }
}
